Loading...
Searching...
No Matches
Opm::fun::iota::const_iterator Class Reference

## Public Types

using | difference_type = int
using | value_type = int
using | pointer = int*
using | reference = int&
using | iterator_category = std::forward_iterator_tag

## Public Member Functions

int | operator* () const
const_iterator & | operator++ ()
const_iterator | operator++ (int)
bool | operator== (const const_iterator &rhs) const
bool | operator!= (const const_iterator &rhs) const

## Friends

class | iota

The documentation for this class was generated from the following files:

- opm/input/eclipse/Utility/Functional.hpp
- opm/input/eclipse/Utility/Functional.cpp